MWAWEmbeddedObject Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MWAWEmbeddedObject Struct Reference

small class use to define a embedded object More...

`#include <libmwaw_internal.hxx>`

## Public Member Functions
| MWAWEmbeddedObject ()
| empty constructor More...
| MWAWEmbeddedObject (librevenge::RVNGBinaryData const &binaryData, std::string const &type="image/pict")
| constructor More...
| MWAWEmbeddedObject (MWAWEmbeddedObject const &)=default
MWAWEmbeddedObject & | operator= (MWAWEmbeddedObject const &)=default
MWAWEmbeddedObject & | operator= (MWAWEmbeddedObject &&)=default
| ~MWAWEmbeddedObject ()
| destructor More...
bool | isEmpty () const
| return true if the picture contains no data More...
void | add (librevenge::RVNGBinaryData const &binaryData, std::string const &type="image/pict")
| add a picture More...
bool | addTo (librevenge::RVNGPropertyList &propList) const
| add the link property to proplist More...
int | cmp (MWAWEmbeddedObject const &pict) const
| a comparison function More...

## Public Attributes
std::vector< librevenge::RVNGBinaryData > | m_dataList
| the picture content: one data by representation More...
std::vector< std::string > | m_typeList
| the picture type: one type by representation More...

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWEmbeddedObject const &pict)
| operator<< More...

## Detailed Description

small class use to define a embedded object

Note
  mainly used to store picture

## Constructor & Destructor Documentation

## ◆ MWAWEmbeddedObject() [1/3]

MWAWEmbeddedObject::MWAWEmbeddedObject | ( |  | ) |
| inline

empty constructor

## ◆ MWAWEmbeddedObject() [2/3]

MWAWEmbeddedObject::MWAWEmbeddedObject | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string const & | type = `"image/pict"`
| ) |  |
| inline

constructor

## ◆ MWAWEmbeddedObject() [3/3]

MWAWEmbeddedObject::MWAWEmbeddedObject | ( | MWAWEmbeddedObject const & |  | ) |
| default

## ◆ ~MWAWEmbeddedObject()

MWAWEmbeddedObject::~MWAWEmbeddedObject | ( |  | ) |

destructor

## Member Function Documentation

## ◆ add()

void MWAWEmbeddedObject::add | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string const & | type = `"image/pict"`
| ) |  |
| inline

add a picture

Referenced by MWAWEmbeddedObject(), PowerPoint1Parser::readPicture(), and PowerPoint3Parser::readPictureContent().

## ◆ addTo()

bool MWAWEmbeddedObject::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to proplist

Referenced by MWAWGraphicListener::insertPicture(), MWAWPresentationListener::insertPicture(), MWAWSpreadsheetListener::insertPicture(), MWAWTextListener::insertPicture(), and MWAWTextListener::insertShape().

## ◆ cmp()

int MWAWEmbeddedObject::cmp | ( | MWAWEmbeddedObject const & | pict | ) | const

a comparison function

Referenced by MWAWGraphicStyle::Pattern::cmp().

## ◆ isEmpty()

bool MWAWEmbeddedObject::isEmpty | ( |  | ) | const
| inline

return true if the picture contains no data

Referenced by PowerPoint3Parser::readPictureDefinition(), CorelPainterParser::readResource(), ApplePictParser::readZone(), PowerPoint1Parser::sendPicture(), and JazzWriterParser::sendPLC().

## ◆ operator=() [1/2]

MWAWEmbeddedObject& MWAWEmbeddedObject::operator= | ( | MWAWEmbeddedObject && |  | ) |
| default

## ◆ operator=() [2/2]

MWAWEmbeddedObject& MWAWEmbeddedObject::operator= | ( | MWAWEmbeddedObject const & |  | ) |
| default

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWEmbeddedObject const & | pict
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_dataList

std::vector<librevenge::RVNGBinaryData> MWAWEmbeddedObject::m_dataList

the picture content: one data by representation

Referenced by add(), MWAWGraphicStyle::addTo(), addTo(), cmp(), ApplePictParser::drawBitmap(), ApplePictParser::drawPixmap(), MWAWGraphicStyle::Pattern::empty(), MacDraft5StyleManager::getBitmap(), MacDraft5StyleManager::getPixmap(), isEmpty(), CanvasGraph::readFileBitmap(), MacWrtParser::readGraphic(), Canvas5Parser::readPreview(), CorelPainterParser::readResource(), libmwaw_applepict1::Bitmap::saveBitmap(), CorelPainterParser::sendBitmap(), MacDraftParser::sendBitmap(), MacDrawParser::sendBitmap(), and MacDrawProParser::sendBitmap().

## ◆ m_typeList

std::vector<std::string> MWAWEmbeddedObject::m_typeList

the picture type: one type by representation

Referenced by add(), MWAWGraphicStyle::addTo(), addTo(), and cmp().

The documentation for this struct was generated from the following files:

- libmwaw_internal.hxx
- libmwaw_internal.cxx